PC SOFT

DOCUMENTATION EN LIGNE
DE WINDEV, WEBDEV ET WINDEV MOBILE

  • Limitation
  • Configuration nécessaire
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaEtats et RequêtesCode Utilisateur (MCU)
WEBDEV
WindowsLinuxPHPWEBDEV - Code Navigateur
WINDEV Mobile
AndroidWidget AndroidiPhone/iPadApple WatchUniversal Windows 10 AppWindows Mobile
Autres
Procédures stockées
Sélectionne le périphérique TAPI qui sera utilisé lors des opérations de téléphonie suivantes :
Exemple
// Récupère la liste des périphériques TAPI
sListeTAPI est une chaîne = telListePériphérique()

// Affiche la liste dans un champ Combo
ListeAjoute(COMBO_TAPI, sListeTAPI)
...
// Sélectionne le périphérique TAPI choisi dans le champ Combo
telPériphérique(COMBO_TAPI[COMBO_TAPI])
Syntaxe
<Résultat> = telPériphérique(<Nom du périphérique>)
<Résultat> : Booléen
  • Vrai si le périphérique a été sélectionné. Le périphérique sélectionné sera utilisé pour toutes les prochaines opérations de téléphonie.
  • Faux en cas d'erreur.
<Nom du périphérique> : Chaîne de caractères (entre guillemets)
Nom du périphérique à utiliser. La liste des périphériques de téléphonie est connue avec la fonction telListePériphérique.
Remarques

Limitation

Il n'est pas possible d'appeler la fonction telPériphérique dans la procédure de détection d'appels (définie grâce à la fonction telDémarreDétectionAppel).
WINDEVCode Utilisateur (MCU)

Configuration nécessaire

Les fonctions de téléphonie utilisent la technologie TAPI 2.0. Cette technologie est utilisable sur tous les systèmes.
Cependant, si le système utilisé est Windows NT4, il est nécessaire d'installer le service pack 4 minimum.
Remarque : La technologie TAPI 3.0 et supérieure n'est pas gérée dans cette version.
Les fonctions de téléphonie utilisent la technologie TAPI 2.0 et/ou la technologie TAPI 3.1. Ces technologies sont utilisables sur tous les systèmes.
Versions 24 et supérieures
La technologie TAPI 3.1 est désormais supportée.
Nouveauté 24
La technologie TAPI 3.1 est désormais supportée.
La technologie TAPI 3.1 est désormais supportée.
Composante : wd240com.dll
Version minimum requise
  • Version 9
Documentation également disponible pour…
Commentaires
Cliquez sur [Ajouter] pour publier un commentaire